Authorization Manager Retrieve Role Permissions

Authorization Manager Retrieve Role Permissions
Finds all the permissions that use a particular role.

Finds all the permissions that use a particular role.

The result is restricted to managed entities that are visible to the user making the call.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/AuthorizationManager/{moId}/RetrieveRolePermissions
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case AuthorizationManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RetrieveRolePermissionsRequestType of type(s) application/json
Required
{
    "roleId": 0
}
integer As int32 As int32
roleId
Required

roleId

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "entity": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "principal": "string",
        "group": false,
        "roleId": 0,
        "propagate": false
    }
]
array of object
Optional

This data object type provides assignment of some role access to a principal on a specific entity.

A ManagedEntity is limited to one permission per principal.


500

NotFound: if the role does not exist.

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"roleId":"integer"}' https://{api_host}/sdk/vim25/{release}/AuthorizationManager/{moId}/RetrieveRolePermissions